org.keycloak.models.sessions.infinispan.stream

## Class ClientSessionPredicate

- java.lang.Object
- - org.keycloak.models.sessions.infinispan.stream.ClientSessionPredicate

- All Implemented Interfaces:
    Serializable, java.util.function.Predicate<Map.Entry<String,SessionEntity>>

      public class ClientSessionPredicate
      extends Object
      implements java.util.function.Predicate<Map.Entry<String,SessionEntity>>, Serializable

  Author:
    Stian Thorgersen
  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientSessionPredicate` | `client(String client)`
    `static ClientSessionPredicate` | `create(String realm)`
    `ClientSessionPredicate` | `expiredRefresh(long expiredRefresh)`
    `ClientSessionPredicate` | `requireNullUserSession()`
    `ClientSessionPredicate` | `requireUserSession()`
    `boolean` | `test(Map.Entry<String,SessionEntity> entry)`
    `ClientSessionPredicate` | `userSession(String userSession)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.function.Predicate

      `and, isEqual, negate, or`

- - ### Method Detail

    - #### create

          public static ClientSessionPredicate create(String realm)

    - #### client

          public ClientSessionPredicate client(String client)

    - #### userSession

          public ClientSessionPredicate userSession(String userSession)

    - #### expiredRefresh

          public ClientSessionPredicate expiredRefresh(long expiredRefresh)

    - #### requireUserSession

          public ClientSessionPredicate requireUserSession()

    - #### requireNullUserSession

          public ClientSessionPredicate requireNullUserSession()

    - #### test

          public boolean test(Map.Entry<String,SessionEntity> entry)

      Specified by:
        `test` in interface `java.util.function.Predicate<Map.Entry<String,SessionEntity>>`

Copyright © 2016 JBoss by Red Hat. All rights reserved.